import React from 'react';
import {Image, StyleSheet, Text, TouchableOpacity, View} from 'react-native';
import googleIcon from '../assets/icons/google-icon.svg';
import colors from '../config/colors';

export function GoogleButton({buttonText, buttonPress}) {
	return (
		<TouchableOpacity style={styles.googleButton} onPress={buttonPress}>
			<View style={styles.googleIconContainer}>
				<Image style={styles.googleIcon} source={googleIcon} resizeMode="contain" resizeMethod={"auto"} />
			</View>
			<Text style={styles.googleButtonText}>{buttonText}</Text>
		</TouchableOpacity>
	);
};

const styles = StyleSheet.create({
	googleButton: {
		flexDirection: 'row',
		alignItems: 'center',
		borderRadius: 12,
		padding: 2,
		backgroundColor: colors.dark_blue
	},
	googleIconContainer: {
		backgroundColor: colors.white,
		height: '100%',
		paddingHorizontal: 10,
		borderRadius: 10,
		flexDirection: 'row',
		alignItems: 'center'
	},
	googleIcon: {
		height: 35,
		width: 35
	},
	googleButtonText: {
		fontSize: 18,
		fontWeight: "600",
		color: colors.white,
		marginLeft: 10,
		paddingVertical: 15,
		paddingRight: 10
	}
});